> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an item to an ASN

> Add an item to an ASN

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  ASN ID
</ParamField>

### Request body

JSON body of type `AddItemToAsnRequest`.

### Responses

<ResponseField name="201" type="ApiResponse_AddItemToAsnResponse">
  Item added to ASN
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid request
</ResponseField>

<ResponseField name="404" type="ErrorResponse">
  ASN not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/asns/{id}/items' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "data": {
      "asn_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "lot_number": null,
      "package_number": null,
      "purchase_order_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "quantity_shipped": 1,
      "serial_numbers": null,
      "status": "string"
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
